package com.ruoyi.invest.service;

import java.util.List;
import com.ruoyi.invest.domain.TProjectApproval;
import com.ruoyi.invest.domain.TProjectInformation;

/**
 * 立项申请Service接口
 * 
 * @author zjc
 * @date 2024-04-02
 */
public interface ITProjectApprovalService 
{
    /**
     * 查询立项申请
     * 
     * @param id 立项申请主键
     * @return 立项申请
     */
    public TProjectApproval selectTProjectApprovalById(String id);

    /**
     * 查询立项申请列表
     * 
     * @param tProjectApproval 立项申请
     * @return 立项申请集合
     */
    public List<TProjectApproval> selectTProjectApprovalList(TProjectApproval tProjectApproval);

    /**
     * 新增立项申请
     * 
     * @param tProjectApproval 立项申请
     * @return 结果
     */
    public int insertTProjectApproval(TProjectApproval tProjectApproval);

    /**
     * 修改立项申请
     * 
     * @param tProjectApproval 立项申请
     * @return 结果
     */
    public int updateTProjectApproval(TProjectApproval tProjectApproval);

    /**
     * 批量删除立项申请
     * 
     * @param ids 需要删除的立项申请主键集合
     * @return 结果
     */
    public int deleteTProjectApprovalByIds(String[] ids);

    /**
     * 删除立项申请信息
     * 
     * @param id 立项申请主键
     * @return 结果
     */
    public int deleteTProjectApprovalById(String id);

    /**
     * 根据项目ID获取最新立项申请
     * @param projectPoolId
     * @return
     */
    public TProjectApproval listProjectPoolIdNew(String projectPoolId);
}
